---
name: Bug Report
about: Create a report to help us improve
title: 'SPDX SBOM Generator Bug Report'
labels: 'bug'
assignees: ''
---

## Summary

Describe the bug - a clear and concise overview of what the bug is.

## Background

Provide context to the issue - provide steps to reproduce the behavior, such as:

1. Download sbom-spdx-generator version 1.0.X
1. Clone repository https://github.com/<some org>/<some repo>
1. Run ./sbom-spdx-generator -o /out/spdx
1. Observe the following error:

## Expected behavior

A clear and concise description of what you expected to happen.

## Screenshots

If applicable, add screenshots to help explain the problem.

## Repository

Which repository causes this error?

- [example repo 1](https://github.com/spdx/spdx-sbom-generator)

## Additional Context

Optional - add any other context about the problem here.

## Acceptance Criteria

The "done" criteria when this feature or problem is resolved. Such as:

1. Unit Tests added and running in CI
1. Functional Tests updated to cover feature, if applicable
1. Demonstrate the set of capabilities to the product team

## References

- Provide any code or specification references that would be helpful for the developer implementing this feature.


